For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
        • GETFind Process Jobs
        • POSTCreate Process Job
        • GETGet Process Job
Logo
Sign inBook a demo
API ReferencePayment GatewayProcess

Find Process Jobs

GET
https://api.mercoa.com/payment-gateway/process-jobs
GET
/payment-gateway/process-jobs
$curl -G https://api.mercoa.com/payment-gateway/process-jobs \
> -H "Authorization: Bearer <token>" \
> -d status=FAILED \
> --data-urlencode startDate=2024-01-01T00:00:00Z \
> --data-urlencode endDate=2024-12-31T23:59:59Z
1{
2 "jobs": [
3 {
4 "jobStatus": "pending",
5 "createdAt": "2024-01-01T00:00:00Z",
6 "jobId": "pgp_8f86116b-3b4d-4ded-99ef-3bc929d8c33c",
7 "updatedAt": "2024-01-01T00:00:00Z"
8 },
9 {
10 "jobStatus": "success",
11 "attempts": [
12 {
13 "id": "pgpa_8f86116b-3b4d-4ded-99ef-3bc929d8c33c",
14 "status": "COMPLETED",
15 "createdAt": "2024-01-01T00:00:00Z",
16 "amount": 150.75,
17 "receiptUrl": "https://www.payment-gateway.com/receipt/123123"
18 }
19 ],
20 "createdAt": "2024-01-01T00:00:00Z",
21 "jobId": "pgp_8f86116b-3b4d-4ded-99ef-3bc929d8c33c",
22 "updatedAt": "2024-01-01T00:00:00Z",
23 "gatewayAmount": 155.5,
24 "invoiceAmount": 150.75,
25 "receiptUrl": "https://www.payment-gateway.com/receipt/123123",
26 "vendorName": "Acme Corporation"
27 },
28 {
29 "jobStatus": "failed",
30 "createdAt": "2024-01-01T00:00:00Z",
31 "errorType": "NO_VALID_PAYMENT_GATEWAY_FOUND",
32 "jobId": "pgp_8f86116b-3b4d-4ded-99ef-3bc929d8c33c",
33 "updatedAt": "2024-01-01T00:00:00Z",
34 "errorMessage": "No valid payment gateway was found in the document or HTML"
35 }
36 ],
37 "hasMore": true
38}
Search payment gateway process jobs
Was this page helpful?
Previous

Create Process Job

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

statusenumOptional
Filter jobs by status
Allowed values:
startDatedatetimeOptional
Start date filter for job creation time
endDatedatetimeOptional
End date filter for job creation time
orderByenumOptional

Field to order jobs by. Defaults to CREATED_AT.

Allowed values:
orderDirectionenumOptional
Direction to order jobs by. Defaults to desc.
Allowed values:
limitintegerOptional
Number of jobs to return. Limit can range between 1 and 100, and the default is 10.
startingAfterstringOptional
The ID of the job to start after. If not provided, the first page of jobs will be returned.

Response

This endpoint returns an object.
jobslist of objects
List of payment gateway process jobs matching the search criteria
hasMoreboolean
Whether there are more jobs available beyond the current page

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented